declare const outputMessages: {
    readonly 'create-nx-workspace-success-ci-setup': readonly [{
        readonly code: "ci-setup-visit";
        readonly createMessage: (url: string) => {
            title: string;
            type: string;
            bodyLines: string[];
        };
    }];
    readonly 'create-nx-workspace-success-cache-setup': readonly [{
        readonly code: "remote-cache-visit";
        readonly createMessage: (url: string) => {
            title: string;
            type: string;
            bodyLines: string[];
        };
    }];
};
type OutputMessageKey = keyof typeof outputMessages;
export declare function getMessageFactory(key: OutputMessageKey): {
    readonly code: "ci-setup-visit";
    readonly createMessage: (url: string) => {
        title: string;
        type: string;
        bodyLines: string[];
    };
} | {
    readonly code: "remote-cache-visit";
    readonly createMessage: (url: string) => {
        title: string;
        type: string;
        bodyLines: string[];
    };
};
export {};
